Loading...
Searching...
No Matches
rostlab Namespace Reference

## Namespaces

namespace | bio

## Classes

class | cwd_resource
struct | cxx_group
class | gid_not_found_error
class | gname_not_found_error
struct | cxx_passwd
class | uid_not_found_error
class | uname_not_found_error
class | euid_egid_resource
class | file_lock_resource
class | error_backtracer
class | exception
class | runtime_error
class | umask_resource

## Typedefs

typedef std::vector< std::string > | argvec_type

## Functions

template<typename _Tp>
std::basic_string< _Tp > | join (const std::basic_string< _Tp > &__sep, typename std::vector< std::basic_string< _Tp > >::const_iterator __begin, typename std::vector< std::basic_string< _Tp > >::const_iterator __end)
template<typename _Tp>
std::basic_string< _Tp > | join (const std::basic_string< _Tp > &__sep, const std::vector< std::basic_string< _Tp > > &__v)
template<typename _Tp>
std::basic_string< _Tp > | join (const _Tp *__sep, const std::vector< std::basic_string< _Tp > > &__v)
template<typename _Tp>
std::basic_string< _Tp > | join (const _Tp __sep, const std::vector< std::basic_string< _Tp > > &__v)
std::vector< std::string > | split (const std::string &__str, char __c)
template<typename _Tk, typename _Tv>
std::vector< _Tk > | map_keys (const std::map< _Tk, _Tv > &__map)
void | split_in_2 (const std::string &__str, char __c, std::string &__left, std::string &__right)
std::map< std::string, std::string > | map_split_in_2 (const std::vector< std::string > &__svec, char __c)
template<class _T1, class _T2>
std::ostream & | operator<< (std::ostream &os, const std::pair< _T1, _T2 > &v)
| std::pair output operator.
template<typename K, typename V, class C, class A>
std::ostream & | operator<< (std::ostream &os, const std::map< K, V, C, A > &m)
| std::map output operator.
template<typename _Tp, typename _Alloc>
std::ostream & | operator<< (std::ostream &os, const std::vector< _Tp, _Alloc > &v)
| std::vector output operator.
std::string | getgrgid_r (gid_t __gid)
std::string | getgrgid_r (gid_t __gid, cxx_group &__group)
gid_t | getgrnam_r (const std::string &__gname)
gid_t | getgrnam_r (const std::string &__gname, struct cxx_group &__group)
uid_t | getpwnam_r (const std::string &__uname)
uid_t | getpwnam_r (const std::string &__uname, cxx_passwd &__passwd)
std::string | getpwuid_r (uid_t __uid)
std::string | getpwuid_r (uid_t __uid, cxx_passwd &__passwd)
char | int2AAchar (int __aanum)
int | AAchar2int (char __aachar)
template<typename _Tp>
void | fwrite (const _Tp &__v, FILE *__out)
template<typename _Tp, typename _Alloc>
void | fwrite (const vector< _Tp, _Alloc > &__v, FILE *__out)
template<>
void | fwrite< string > (const string &__str, FILE *__out)
void | fwrite (const char *__c, FILE *__out)
template<typename _Tp>
void | fread (_Tp &__v, FILE *__in)
template<typename _Tp, typename _Alloc>
void | fread (vector< _Tp, _Alloc > &__v, FILE *__in)
template<>
void | fread< string > (string &__v, FILE *__in)
template<typename _Tp>
_Tp | fread (FILE *__in)
argvec_type | mkargvec (const char *__path,...)
bool | file_exists (const std::string &__path)
int | system (const char *__path,...)
int | system (const std::vector< std::string > &__args)
std::string | tolower (std::string __str)

## Variables

const signed char | blosum62 [27][27]
| BLOSUM62 matrix at a scale of ln(2)/2.0.

## Typedef Documentation

## argvec_type

typedef std::vector<std::string> rostlab::argvec_type

Definition at line 38 of file rostlab_stdlib.h.

## Function Documentation

## AAchar2int()

int rostlab::AAchar2int | ( | char | __aachar | ) |

inline

Definition at line 77 of file mapAA2int.h.

## file_exists()

bool rostlab::file_exists | ( | const std::string & | __path | ) |

inline

Definition at line 48 of file rostlab_stdlib.h.

## fread() [1/3]

template<typename _Tp>

void rostlab::fread | ( | _Tp & | __v,
|  | FILE * | __in )

inline

Definition at line 46 of file rostlab_stdio.h.

## fread() [2/3]

template<typename _Tp>

_Tp rostlab::fread | ( | FILE * | __in | ) |

inline

Definition at line 70 of file rostlab_stdio.h.

## fread() [3/3]

template<typename _Tp, typename _Alloc>

void rostlab::fread | ( | vector< _Tp, _Alloc > & | __v,
|  | FILE * | __in )

inline

Definition at line 51 of file rostlab_stdio.h.

## fread< string >()

template<>

void rostlab::fread< string > | ( | string & | __v,
|  | FILE * | __in )

inline

Definition at line 58 of file rostlab_stdio.h.

## fwrite() [1/3]

template<typename _Tp>

void rostlab::fwrite | ( | const _Tp & | __v,
|  | FILE * | __out )

inline

Definition at line 28 of file rostlab_stdio.h.

## fwrite() [2/3]

void rostlab::fwrite | ( | const char * | __c,
|  | FILE * | __out )

inline

Definition at line 43 of file rostlab_stdio.h.

## fwrite() [3/3]

template<typename _Tp, typename _Alloc>

void rostlab::fwrite | ( | const vector< _Tp, _Alloc > & | __v,
|  | FILE * | __out )

inline

Definition at line 30 of file rostlab_stdio.h.

## fwrite< string >()

template<>

void rostlab::fwrite< string > | ( | const string & | __str,
|  | FILE * | __out )

inline

Definition at line 37 of file rostlab_stdio.h.

## getgrgid_r() [1/2]

std::string rostlab::getgrgid_r | ( | gid_t | __gid | ) |

inline

Definition at line 100 of file cxxgrp.h.

## getgrgid_r() [2/2]

std::string rostlab::getgrgid_r | ( | gid_t | __gid,
|  | cxx_group & | __group )

inline

Definition at line 66 of file cxxgrp.h.

## getgrnam_r() [1/2]

gid_t rostlab::getgrnam_r | ( | const std::string & | __gname | ) |

inline

Definition at line 142 of file cxxgrp.h.

## getgrnam_r() [2/2]

gid_t rostlab::getgrnam_r | ( | const std::string & | __gname,
|  | struct cxx_group & | __group )

inline

Definition at line 107 of file cxxgrp.h.

## getpwnam_r() [1/2]

uid_t rostlab::getpwnam_r | ( | const std::string & | __uname | ) |

inline

Definition at line 84 of file cxxpwd.h.

## getpwnam_r() [2/2]

uid_t rostlab::getpwnam_r | ( | const std::string & | __uname,
|  | cxx_passwd & | __passwd )

inline

Definition at line 91 of file cxxpwd.h.

## getpwuid_r() [1/2]

std::string rostlab::getpwuid_r | ( | uid_t | __uid | ) |

inline

Definition at line 58 of file cxxpwd.h.

## getpwuid_r() [2/2]

std::string rostlab::getpwuid_r | ( | uid_t | __uid,
|  | cxx_passwd & | __passwd )

inline

Definition at line 65 of file cxxpwd.h.

## int2AAchar()

char rostlab::int2AAchar | ( | int | __aanum | ) |

inline

Definition at line 28 of file mapAA2int.h.

## join() [1/4]

template<typename _Tp>

std::basic_string< _Tp > rostlab::join | ( | const _Tp * | __sep,
|  | const std::vector< std::basic_string< _Tp > > & | __v )

inline

Definition at line 52 of file aux_functions.h.

## join() [2/4]

template<typename _Tp>

std::basic_string< _Tp > rostlab::join | ( | const _Tp | __sep,
|  | const std::vector< std::basic_string< _Tp > > & | __v )

inline

Definition at line 60 of file aux_functions.h.

## join() [3/4]

template<typename _Tp>

std::basic_string< _Tp > rostlab::join | ( | const std::basic_string< _Tp > & | __sep,
|  | const std::vector< std::basic_string< _Tp > > & | __v )

inline

Definition at line 44 of file aux_functions.h.

## join() [4/4]

template<typename _Tp>

std::basic_string< _Tp > rostlab::join | ( | const std::basic_string< _Tp > & | __sep,
|  | typename std::vector< std::basic_string< _Tp > >::const_iterator | __begin,
|  | typename std::vector< std::basic_string< _Tp > >::const_iterator | __end )

inline

Definition at line 31 of file aux_functions.h.

## map_keys()

template<typename _Tk, typename _Tv>

std::vector< _Tk > rostlab::map_keys | ( | const std::map< _Tk, _Tv > & | __map | ) |

inline

Definition at line 79 of file aux_functions.h.

## map_split_in_2()

std::map< std::string, std::string > rostlab::map_split_in_2 | ( | const std::vector< std::string > & | __svec,
|  | char | __c )

inline

Definition at line 104 of file aux_functions.h.

## mkargvec()

argvec_type rostlab::mkargvec | ( | const char * | __path,
|  |  | ... )

inline

Definition at line 57 of file rostlab_stdlib.h.

## operator<<() [1/3]

template<typename K, typename V, class C, class A>

std::ostream & rostlab::operator<< | ( | std::ostream & | os,
|  | const std::map< K, V, C, A > & | m )

inline

std::map output operator.

Definition at line 165 of file aux_functions.h.

## operator<<() [2/3]

template<class _T1, class _T2>

std::ostream & rostlab::operator<< | ( | std::ostream & | os,
|  | const std::pair< _T1, _T2 > & | v )

inline

std::pair output operator.

The flags are:

- tabdelim This makes sense for example when printing maps.

Definition at line 155 of file aux_functions.h.

## operator<<() [3/3]

template<typename _Tp, typename _Alloc>

std::ostream & rostlab::operator<< | ( | std::ostream & | os,
|  | const std::vector< _Tp, _Alloc > & | v )

inline

std::vector output operator.

Definition at line 181 of file aux_functions.h.

## split()

std::vector< std::string > rostlab::split | ( | const std::string & | __str,
|  | char | __c )

inline

Definition at line 67 of file aux_functions.h.

## split_in_2()

void rostlab::split_in_2 | ( | const std::string & | __str,
|  | char | __c,
|  | std::string & | __left,
|  | std::string & | __right )

inline

Definition at line 88 of file aux_functions.h.

## system() [1/2]

int rostlab::system | ( | const char * | __path,
|  |  | ... )

inline

Definition at line 76 of file rostlab_stdlib.h.

## system() [2/2]

int rostlab::system | ( | const std::vector< std::string > & | __args | ) |

inline

Definition at line 94 of file rostlab_stdlib.h.

## tolower()

std::string rostlab::tolower | ( | std::string | __str | ) |

inline

Definition at line 114 of file rostlab_stdlib.h.

## Variable Documentation

## blosum62

const signed char rostlab::blosum62[27][27]

extern

BLOSUM62 matrix at a scale of ln(2)/2.0.

'*' is column/row 0; other capital letters are in column ( letter & 0x1f ). Columns/rows for non-aa letters such as o and u are 0. The matrix is symmetrical.